# Manjoo - A Terminal Tribute

**Manjoo** is a terminal animation created in memory of my sassy girl guinea pig, Manjoo. She was a spirited companion who loved tomatoes. This project commemorates her life and the joy she brought.

## Installation

You can install Manjoo easily via pip:

```bash
pip install manjoo-pypi
```

## About the Project

Manjoo is developed using **Rust** and packaged with **Maturin**, ensuring seamless integration with Python environments. The package includes pre-built wheels for almost all major operating systems and their versions, making it accessible to everyone.

### Key Features

- **Terminal Animations**: The interface is crafted using [Ratatui](https://github.com/tui-rs/ratatui), a Rust library for creating rich terminal user interfaces. It allows for smooth animations and vivid rendering.
- **Cross-Platform Compatibility**: Thanks to Maturin, the project provides support for various platforms with pre-built wheels.
- **Lightweight & Fast**: Built with Rust, Manjoo delivers high performance and a minimal footprint.

### A Personal Tribute

This animation showcases a playful guinea pig running towards a tomato and interacting with it, capturing Manjoo's personality and her love for this treat. It serves as a heartfelt digital memory.

## Usage

Once installed, simply run the following command to experience the animation:

```bash
manjoo run
```

Enjoy a moment of joy and remembrance with this lively animation.

---

### Acknowledgments

Special thanks to the Ratatui community for enabling beautiful terminal experiences and the developers behind Maturin for simplifying Python-Rust interoperability.

Maturin is a tool that simplifies packaging Rust projects for Python, making it straightforward to create and distribute Python bindings. Its pre-built wheel support ensures compatibility across various operating systems, facilitating the installation process for the Manjoo package.

> *Dedicated to Manjoo, my tomato-loving guinea pig.*

